<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=1&");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".TD_OFERTAS;
	$campoid = "oferID";
	$ig = $_GET;
	$in = $_POST;

if (isset($in["guardar"]))
{
	
		
	$itemID = $in["itemID"];
	$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
	$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;
	$qs = "INSERT INTO ".TD_OFERTAS." (itemID,orden,enabled) VALUES ('".$itemID."','".$orden."','".$enabled."')";
	myquery($qs,"[01]");
	$inid = myinsertid();
	
	Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);


}

if (isset($ig[$campoid]) || isset($in[$campoid]))
{
	// asignar ID gral
	$fileID_gral = isset($ig[$campoid]) ? $ig[$campoid] : $in[$campoid];
	
	
	if (isset($in["actualizar"]))
	{
	
		// asignar el ID
		$inid = $fileID_gral;

		$itemID = $in["itemID"];	
		$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
		$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;
		$qs = "UPDATE ".TD_OFERTAS." SET itemID='".$itemID."',orden='".$orden."',enabled='".$enabled."' WHERE oferID='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".TD_OFERTAS." WHERE oferID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


} else {


/***** NUEVO ******/

$row = array();
$row[$campoid] = "";
$row["itemID"] = "";
$row["orden"] = "";
$row["enabled"] = "1";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_tienda.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_326; ?></span>
</div>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
			
			// si se entra desde la web
			if ($cadena_get_comple == $campoid."=".$fileID_gral)
			{
				$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
			} else {
			
				$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
			}

		}
		
		echo '<div class="rotulo">'.LEN_ADMIN_335.'</div>';
		
		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_339).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';

		
	} else {
		echo '<div class="rotulo">'.LEN_ADMIN_339.'</div>';	
		
		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';
	}

	if (isset($ig["msj"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;';
	
	}
?>

<br /><br /><br />
<?php  echo LEN_ADMIN_63; ?>
&nbsp;<input type="checkbox" name="enabled"<?php if ($row["enabled"] == 1) { echo ' checked '; } ?> value="1">

<br /><br />
<?php  echo LEN_ADMIN_69; ?>
&nbsp;<input name="orden" maxlength="11" value="<?php echo $row['orden']; ?>" type="text" class="input_text tmini">

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		// ver el elegido
		echo '<br /><br />';
		echo '<div class="div_destacar_grupos">';
		$corte_tit = 50;
		$q_tit = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 AND itemID='".$row["itemID"]."'");
		$row_tit = myfetch($q_tit);
	
		if (strlen($row_tit["titulo"]) > $corte_tit) { $mast="..."; } else { $mast=""; }
		
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$row["itemID"].'">'.substr($row_tit["titulo"],0,$corte_tit).$mast.'</a> (#'.$row_tit["itemID"].')';
		echo '</div>';

		echo '<br /><br />';
		echo '<div class="div_destacar_grupos">';
		echo LEN_ADMIN_389;
		echo '&nbsp;<select name="itemID">';
		echo '<option value="">'.LEN_ADMIN_79.'</option>';

		$corte = 45;
		$qit = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 ORDER BY itemID ASC");
		while ($row_qit = myfetch($qit))
		{
			if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }

			$qid = myquery("SELECT * FROM ".TD_OFERTAS." WHERE itemID='".$row_qit["itemID"]."' AND itemID!='".$row["itemID"]."'");
			$row_qid = myfetch($qid);
		
			// si el producto no es oferta excepto el elegido
			if (!$row_qid)
			{
				echo '<option value="'.$row_qit["itemID"].'"';
				if ($row["itemID"] == $row_qit["itemID"])
				{
					echo ' selected';
				}
				echo '>';
				echo $row_qit["itemID"]." - ".substr($row_qit["titulo"],0,$corte).$mas.'</option>';
			}
	
		}
		echo '</select>';
		echo '</div>'; // del div_destacar_grupos
		
	} else {
		
?>

<br /><br />
<div class="div_destacar_grupos">
* <?php  echo LEN_ADMIN_390; ?>
&nbsp;<select name="itemID">
<option value=""><?php  echo LEN_ADMIN_79; ?></option>
<?php
	
	$corte = 45;
	$qit = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 ORDER BY itemID ASC");
	while ($row_qit = myfetch($qit))
	{
		if (strlen($row_qit["titulo"]) > $corte) { $mas="..."; } else { $mas=""; }
		
		$qid = myquery("SELECT * FROM ".TD_OFERTAS." WHERE itemID='".$row_qit["itemID"]."'");
		$row_qid = myfetch($qid);
		
		// si el producto no es oferta
		if (!$row_qid)
		{
			echo '<option value="'.$row_qit["itemID"].'">'.$row_qit["itemID"].' - '.substr($row_qit["titulo"],0,$corte).$mas.'</option>';
		}
	
	}

?>
</select>
</div>
<?php
	} // del if (isset($ig[$campoid]) || isset($in["actualizar"]))
?>


<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>